using Godot;
using System.Collections.Generic;


namespace Rokojori
{  
  [Tool][GlobalClass]
  public partial class JoinSession:Action
  {
    [Export]
    public NetworkManager networkingManager;
    
    [Export]
    public NetworkSessionRequest sessionRequest;

    protected override void _OnTrigger()
    {
      networkingManager.Initialize();
      networkingManager.sessionManager.JoinSession( sessionRequest );
    }
  }
}